#
# spec file for package perl-Crypt-CBC (Version 2.17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  perl-Crypt-Blowfish perl-Crypt-DES

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl perl-Crypt-Blowfish perl-Crypt-DES rpm

Name:           perl-Crypt-CBC
Version:        2.17
Release:        7.2
Requires:       perl-Crypt-Blowfish perl-Crypt-DES
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Summary:        perl module Crypt::CBC
Source:         Crypt-CBC-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Perl-only implementation of the cryptographic cipher block chaining
mode (CBC).



%prep
%setup -n Crypt-CBC-%{version}

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean                                                                          
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes MANIFEST README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Crypt
%{perl_vendorarch}/auto/Crypt
/var/adm/perl-modules/%{name}

%changelog -n perl-Crypt-CBC
* Wed Jun 21 2006 - schubi@suse.de
- Bug 153627 - VUL-0: perl-Crypt-CBC: ciphertext weakness when using certain block algorithms
  Version upgrade approved by the security team
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jul 11 2005 - schubi@suse.de
- update to 2.14
* Fri Apr 15 2005 - schubi@suse.de
- update to 2.12
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Tue Jun 17 2003 - choeger@suse.de
- updated filelist
- update to version 2.08
* Mon May 19 2003 - choeger#@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Wed Aug 14 2002 - choeger@suse.de
- new package, version 2.07
